Package com.documentum.fc.client

# Interface IDfSessionScopeManager

public interface IDfSessionScopeManager

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDfScope`
  `beginScope(boolean bNested)`
  Opens an explicit scope boundary.
  `void`
  `clearScopes()`
  Pops all the scopes from the scope stack.
  `void`
  `enableServerScope(boolean enable)`
  Enables or disables server-side scoping.
  `void`
  `endScope()`
  Closes the explicit scope boundary.
  `IDfScope`
  `getCurrentScope()`
  Returns the currect active scope from the top of scope stack.
  `int`
  `getScopeCount()`
  Returns the number of scopes currently on the scope stack.
  `boolean`
  `isScopeActive()`
  Returns true if one or more CUSTOM scopes are open.
  `boolean`
  `isServerScopingEnabled()`
  Returns true if server-side scoping is enabled, otherwise false.

- ## Method Details

  - ### beginScope

    IDfScope beginScope(boolean bNested) throws DfException
    Opens an explicit scope boundary. The explicit scope needs to be explicitly closed by an endScope call

    In the event server scoping has been activated and the scope’s bNested==true, the current scope will be pushed to the server.
    Parameters:
      `bNested` - If server scoping is activated and bNested is true, then the current scope will be pushed to the server.
    Returns:
      The explicit scope boundary opened by this call.
    Throws:
      `DfException`

  - ### endScope

    void endScope() throws DfException
    Closes the explicit scope boundary.
    Throws:
      `DfException` - thrown is no matching beginScope exists

  - ### getCurrentScope

    IDfScope getCurrentScope()
    Returns the currect active scope from the top of scope stack.
    Returns:
      The current active scope.

  - ### clearScopes

    void clearScopes() throws DfException
    Pops all the scopes from the scope stack.
    Throws:
      `DfException` - if an error occurs

  - ### getScopeCount

    int getScopeCount()
    Returns the number of scopes currently on the scope stack.
    Returns:
      The number of scopes currently open.
    Throws:
      `DfException` - if an error occurs

  - ### isScopeActive

    boolean isScopeActive()
    Returns true if one or more CUSTOM scopes are open.
    Returns:
      true if at least one CUSTOM scope has been opened with beginScope.

  - ### enableServerScope

    void enableServerScope(boolean enable) throws DfException
    Enables or disables server-side scoping.
    Parameters:
      `enable` - true to enable or false to disable server-side scoping
    Throws:
      `DfException`

  - ### isServerScopingEnabled

    boolean isServerScopingEnabled()
    Returns true if server-side scoping is enabled, otherwise false.
    Returns:
      true or false to indicate whether or not server-side scoping is enabled